=== modified file 'drizzled/cursor.h'
--- drizzled/cursor.h	2010-08-04 00:25:57 +0000
+++ drizzled/cursor.h	2010-08-17 01:34:55 +0000
@@ -67,7 +67,6 @@
 class CreateField;
 class sys_var_str;
 class Item_ident;
-typedef struct st_sort_field SORT_FIELD;
 
 typedef List<Item> List_item;
 extern KEY_CREATE_INFO default_key_create_info;
@@ -640,8 +639,9 @@
 /* basic stuff */
 void ha_init_errors(void);
 
-SORT_FIELD * make_unireg_sortorder(order_st *order, uint32_t *length,
-                                   SORT_FIELD *sortorder);
+class SortField;
+SortField *make_unireg_sortorder(order_st *order, uint32_t *length,
+                                 SortField *sortorder);
 int setup_order(Session *session, Item **ref_pointer_array, TableList *tables,
                 List<Item> &fields, List <Item> &all_fields, order_st *order);
 int setup_group(Session *session, Item **ref_pointer_array, TableList *tables,

=== modified file 'drizzled/filesort.cc'
--- drizzled/filesort.cc	2010-08-09 00:47:26 +0000
+++ drizzled/filesort.cc	2010-08-17 01:34:55 +0000
@@ -76,7 +76,7 @@
 static void register_used_fields(SORTPARAM *param);
 static int merge_index(SORTPARAM *param,
                        unsigned char *sort_buffer,
-		       BUFFPEK *buffpek,
+		       buffpek_st *buffpek,
 		       uint32_t maxbuffer,
                        internal::IO_CACHE *tempfile,
 		       internal::IO_CACHE *outfile);
@@ -86,14 +86,14 @@
                        filesort_info_st *table_sort);
 static uint32_t suffix_length(uint32_t string_length);
 static uint32_t sortlength(Session *session,
-                           SORT_FIELD *sortorder,
+                           SortField *sortorder,
                            uint32_t s_length,
                            bool *multi_byte_charset);
-static SORT_ADDON_FIELD *get_addon_fields(Session *session,
-                                          Field **ptabfield,
-                                          uint32_t sortlength,
-                                          uint32_t *plength);
-static void unpack_addon_fields(struct st_sort_addon_field *addon_field,
+static sort_addon_field_st *get_addon_fields(Session *session,
+                                             Field **ptabfield,
+                                             uint32_t sortlength,
+                                             uint32_t *plength);
+static void unpack_addon_fields(sort_addon_field_st *addon_field,
                                 unsigned char *buff);
 /**
   Sort a table.
@@ -131,14 +131,14 @@
     examined_rows	will be set to number of examined rows
 */
 
-ha_rows filesort(Session *session, Table *table, SORT_FIELD *sortorder, uint32_t s_length,
+ha_rows filesort(Session *session, Table *table, SortField *sortorder, uint32_t s_length,
 		 optimizer::SqlSelect *select, ha_rows max_rows,
                  bool sort_positions, ha_rows *examined_rows)
 {
   int error;
   uint32_t memavl, min_sort_memory;
   uint32_t maxbuffer;
-  BUFFPEK *buffpek;
+  buffpek_st *buffpek;
   ha_rows records= HA_POS_ERROR;
   unsigned char **sort_keys= 0;
   internal::IO_CACHE tempfile, buffpek_pointers, *selected_records_file, *outfile;
@@ -291,7 +291,7 @@
           (unsigned char *) read_buffpek_from_file(&buffpek_pointers, maxbuffer,
                                  table_sort.buffpek)))
       goto err;
-    buffpek= (BUFFPEK *) table_sort.buffpek;
+    buffpek= (buffpek_st *) table_sort.buffpek;
     table_sort.buffpek_len= maxbuffer;
     close_cached_file(&buffpek_pointers);
 	/* Open cached file if it isn't open */
@@ -421,10 +421,10 @@
 static unsigned char *read_buffpek_from_file(internal::IO_CACHE *buffpek_pointers, uint32_t count,
                                      unsigned char *buf)
 {
-  uint32_t length= sizeof(BUFFPEK)*count;
+  uint32_t length= sizeof(buffpek_st)*count;
   unsigned char *tmp= buf;
-  if (count > UINT_MAX/sizeof(BUFFPEK))
-    return 0; /* sizeof(BUFFPEK)*count will overflow */
+  if (count > UINT_MAX/sizeof(buffpek_st))
+    return 0; /* sizeof(buffpek_st)*count will overflow */
   if (!tmp)
     tmp= (unsigned char *)malloc(length);
   if (tmp)
@@ -447,7 +447,7 @@
   @param param             Sorting parameter
   @param select            Use this to get source data
   @param sort_keys         Array of pointers to sort key + addon buffers.
-  @param buffpek_pointers  File to write BUFFPEKs describing sorted segments
+  @param buffpek_pointers  File to write buffpek_sts describing sorted segments
                            in tempfile.
   @param tempfile          File to write sorted sequences of sortkeys to.
   @param indexfile         If !NULL, use it for source data (contains rowids)
@@ -461,7 +461,7 @@
        {
          sort sort_keys buffer;
          dump sorted sequence to 'tempfile';
-         dump BUFFPEK describing sequence location into 'buffpek_pointers';
+         dump buffpek_st describing sequence location into 'buffpek_pointers';
        }
        put sort key into 'sort_keys';
      }
@@ -641,15 +641,15 @@
   @details
   Sort the buffer and write:
   -# the sorted sequence to tempfile
-  -# a BUFFPEK describing the sorted sequence position to buffpek_pointers
+  -# a buffpek_st describing the sorted sequence position to buffpek_pointers
 
     (was: Skriver en buffert med nycklar till filen)
 
   @param param             Sort parameters
   @param sort_keys         Array of pointers to keys to sort
   @param count             Number of elements in sort_keys array
-  @param buffpek_pointers  One 'BUFFPEK' struct will be written into this file.
-                           The BUFFPEK::{file_pos, count} will indicate where
+  @param buffpek_pointers  One 'buffpek_st' struct will be written into this file.
+                           The buffpek_st::{file_pos, count} will indicate where
                            the sorted data was stored.
   @param tempfile          The sorted sequence will be written into this file.
 
@@ -665,7 +665,7 @@
 {
   size_t sort_length, rec_length;
   unsigned char **end;
-  BUFFPEK buffpek;
+  buffpek_st buffpek;
 
   sort_length= param->sort_length;
   rec_length= param->rec_length;
@@ -675,7 +675,7 @@
                        MYF(MY_WME)))
     goto err;
   /* check we won't have more buffpeks than we can possibly keep in memory */
-  if (my_b_tell(buffpek_pointers) + sizeof(BUFFPEK) > (uint64_t)UINT_MAX)
+  if (my_b_tell(buffpek_pointers) + sizeof(buffpek_st) > (uint64_t)UINT_MAX)
     goto err;
   buffpek.file_pos= my_b_tell(tempfile);
   if ((ha_rows) count > param->max_rows)
@@ -721,8 +721,8 @@
 static void make_sortkey(register SORTPARAM *param,
 			 register unsigned char *to, unsigned char *ref_pos)
 {
-  register Field *field;
-  register SORT_FIELD *sort_field;
+  Field *field;
+  SortField *sort_field;
   size_t length;
 
   for (sort_field=param->local_sortorder ;
@@ -910,7 +910,7 @@
       In this implementation we use fixed layout for field values -
       the same for all records.
     */
-    SORT_ADDON_FIELD *addonf= param->addon_field;
+    sort_addon_field_st *addonf= param->addon_field;
     unsigned char *nulls= to;
     assert(addonf != 0);
     memset(nulls, 0, addonf->offset);
@@ -954,7 +954,7 @@
 
 static void register_used_fields(SORTPARAM *param)
 {
-  register SORT_FIELD *sort_field;
+  SortField *sort_field;
   Table *table=param->sort_form;
 
   for (sort_field= param->local_sortorder ;
@@ -976,7 +976,7 @@
 
   if (param->addon_field)
   {
-    SORT_ADDON_FIELD *addonf= param->addon_field;
+    sort_addon_field_st *addonf= param->addon_field;
     Field *field;
     for ( ; (field= addonf->field) ; addonf++)
       table->setReadSet(field->field_index);
@@ -1015,11 +1015,11 @@
 /** Merge buffers to make < MERGEBUFF2 buffers. */
 
 int merge_many_buff(SORTPARAM *param, unsigned char *sort_buffer,
-		    BUFFPEK *buffpek, uint32_t *maxbuffer, internal::IO_CACHE *t_file)
+		    buffpek_st *buffpek, uint32_t *maxbuffer, internal::IO_CACHE *t_file)
 {
   register uint32_t i;
   internal::IO_CACHE t_file2,*from_file,*to_file,*temp;
-  BUFFPEK *lastbuff;
+  buffpek_st *lastbuff;
 
   if (*maxbuffer < MERGEBUFF2)
     return(0);
@@ -1071,7 +1071,7 @@
     (uint32_t)-1 if something goes wrong
 */
 
-uint32_t read_to_buffer(internal::IO_CACHE *fromfile, BUFFPEK *buffpek,
+uint32_t read_to_buffer(internal::IO_CACHE *fromfile, buffpek_st *buffpek,
                         uint32_t rec_length)
 {
   register uint32_t count;
@@ -1098,7 +1098,7 @@
   public:
   compare_functor(qsort2_cmp in_key_compare, void *in_compare_arg)
     : key_compare(in_key_compare), key_compare_arg(in_compare_arg) { }
-  inline bool operator()(const BUFFPEK *i, const BUFFPEK *j) const
+  inline bool operator()(const buffpek_st *i, const buffpek_st *j) const
   {
     int val= key_compare(key_compare_arg,
                       &i->key, &j->key);
@@ -1111,12 +1111,12 @@
   Merge buffers to one buffer.
 
   @param param        Sort parameter
-  @param from_file    File with source data (BUFFPEKs point to this file)
+  @param from_file    File with source data (buffpek_sts point to this file)
   @param to_file      File to write the sorted result data.
   @param sort_buffer  Buffer for data to store up to MERGEBUFF2 sort keys.
-  @param lastbuff     OUT Store here BUFFPEK describing data written to to_file
-  @param Fb           First element in source BUFFPEKs array
-  @param Tb           Last element in source BUFFPEKs array
+  @param lastbuff     OUT Store here buffpek_st describing data written to to_file
+  @param Fb           First element in source buffpek_sts array
+  @param Tb           Last element in source buffpek_sts array
   @param flag
 
   @retval
@@ -1127,7 +1127,7 @@
 
 int merge_buffers(SORTPARAM *param, internal::IO_CACHE *from_file,
                   internal::IO_CACHE *to_file, unsigned char *sort_buffer,
-                  BUFFPEK *lastbuff, BUFFPEK *Fb, BUFFPEK *Tb,
+                  buffpek_st *lastbuff, buffpek_st *Fb, buffpek_st *Tb,
                   int flag)
 {
   int error;
@@ -1137,7 +1137,7 @@
   ha_rows max_rows,org_max_rows;
   internal::my_off_t to_start_filepos;
   unsigned char *strpos;
-  BUFFPEK *buffpek;
+  buffpek_st *buffpek;
   qsort2_cmp cmp;
   void *first_cmp_arg;
   volatile Session::killed_state *killed= &current_session->killed;
@@ -1173,7 +1173,7 @@
     cmp= internal::get_ptr_compare(sort_length);
     first_cmp_arg= (void*) &sort_length;
   }
-  priority_queue<BUFFPEK *, vector<BUFFPEK *>, compare_functor > 
+  priority_queue<buffpek_st *, vector<buffpek_st *>, compare_functor > 
     queue(compare_functor(cmp, first_cmp_arg));
   for (buffpek= Fb ; buffpek <= Tb ; buffpek++)
   {
@@ -1333,7 +1333,7 @@
 	/* Do a merge to output-file (save only positions) */
 
 static int merge_index(SORTPARAM *param, unsigned char *sort_buffer,
-		       BUFFPEK *buffpek, uint32_t maxbuffer,
+		       buffpek_st *buffpek, uint32_t maxbuffer,
 		       internal::IO_CACHE *tempfile, internal::IO_CACHE *outfile)
 {
   if (merge_buffers(param,tempfile,outfile,sort_buffer,buffpek,buffpek,
@@ -1375,7 +1375,7 @@
 */
 
 static uint32_t
-sortlength(Session *session, SORT_FIELD *sortorder, uint32_t s_length,
+sortlength(Session *session, SortField *sortorder, uint32_t s_length,
            bool *multi_byte_charset)
 {
   register uint32_t length;
@@ -1481,12 +1481,12 @@
     NULL   if we do not store field values with sort data.
 */
 
-static SORT_ADDON_FIELD *
+static sort_addon_field_st *
 get_addon_fields(Session *session, Field **ptabfield, uint32_t sortlength, uint32_t *plength)
 {
   Field **pfield;
   Field *field;
-  SORT_ADDON_FIELD *addonf;
+  sort_addon_field_st *addonf;
   uint32_t length= 0;
   uint32_t fields= 0;
   uint32_t null_fields= 0;
@@ -1518,7 +1518,7 @@
   length+= (null_fields+7)/8;
 
   if (length+sortlength > session->variables.max_length_for_sort_data ||
-      !(addonf= (SORT_ADDON_FIELD *) malloc(sizeof(SORT_ADDON_FIELD)*
+      !(addonf= (sort_addon_field_st *) malloc(sizeof(sort_addon_field_st)*
                                             (fields+1))))
     return 0;
 
@@ -1568,10 +1568,10 @@
 */
 
 static void
-unpack_addon_fields(struct st_sort_addon_field *addon_field, unsigned char *buff)
+unpack_addon_fields(struct sort_addon_field_st *addon_field, unsigned char *buff)
 {
   Field *field;
-  SORT_ADDON_FIELD *addonf= addon_field;
+  sort_addon_field_st *addonf= addon_field;
 
   for ( ; (field= addonf->field) ; addonf++)
   {

=== modified file 'drizzled/filesort_info.h'
--- drizzled/filesort_info.h	2010-02-04 08:14:46 +0000
+++ drizzled/filesort_info.h	2010-08-17 01:34:55 +0000
@@ -32,8 +32,8 @@
   uint32_t      buffpek_len;        /* Max number of buffpeks in the buffer */
   unsigned char     *addon_buf;         /* Pointer to a buffer if sorted with fields */
   size_t    addon_length;       /* Length of the buffer */
-  struct st_sort_addon_field *addon_field;     /* Pointer to the fields info */
-  void    (*unpack)(struct st_sort_addon_field *, unsigned char *); /* To unpack back */
+  struct sort_addon_field_st *addon_field;     /* Pointer to the fields info */
+  void    (*unpack)(struct sort_addon_field_st *, unsigned char *); /* To unpack back */
   unsigned char     *record_pointers;    /* If sorted in memory */
   ha_rows   found_records;      /* How many records in sort */
 };

=== modified file 'drizzled/join.h'
--- drizzled/join.h	2010-05-19 00:35:41 +0000
+++ drizzled/join.h	2010-08-17 01:34:55 +0000
@@ -177,7 +177,7 @@
   uint64_t select_options;
   select_result *result;
   Tmp_Table_Param tmp_table_param;
-  DRIZZLE_LOCK *lock;
+  DrizzleLock *lock;
 
   Join *tmp_join; /**< copy of this Join to be used with temporary tables */
   ROLLUP rollup;				/**< Used with rollup */
@@ -219,7 +219,7 @@
     allocations that occur in repetition at execution time will result in
     excessive memory usage.
   */
-  SORT_FIELD *sortorder;                        // make_unireg_sortorder()
+  SortField *sortorder;                        // make_unireg_sortorder()
   Table **table_reexec;                         // make_simple_join()
   JoinTable *join_tab_reexec;                    // make_simple_join()
   /* end of allocation caching storage */

=== modified file 'drizzled/lock.cc'
--- drizzled/lock.cc	2010-08-13 04:56:09 +0000
+++ drizzled/lock.cc	2010-08-17 01:34:55 +0000
@@ -104,9 +104,9 @@
   @{
 */
 
-static DRIZZLE_LOCK *get_lock_data(Session *session, Table **table,
-                                   uint32_t count,
-                                   bool should_lock, Table **write_locked);
+static DrizzleLock *get_lock_data(Session *session, Table **table,
+                                  uint32_t count,
+                                  bool should_lock, Table **write_locked);
 static int lock_external(Session *session, Table **table,uint32_t count);
 static int unlock_external(Session *session, Table **table,uint32_t count);
 static void print_lock_error(int error, const char *);
@@ -160,9 +160,9 @@
         lock request will set its lock type properly.
 */
 
-static void reset_lock_data_and_free(DRIZZLE_LOCK **mysql_lock)
+static void reset_lock_data_and_free(DrizzleLock **mysql_lock)
 {
-  DRIZZLE_LOCK *sql_lock= *mysql_lock;
+  DrizzleLock *sql_lock= *mysql_lock;
   THR_LOCK_DATA **ldata, **ldata_end;
 
   /* Clear the lock type of all lock data to avoid reusage. */
@@ -178,10 +178,10 @@
 }
 
 
-DRIZZLE_LOCK *mysql_lock_tables(Session *session, Table **tables, uint32_t count,
+DrizzleLock *mysql_lock_tables(Session *session, Table **tables, uint32_t count,
                                 uint32_t flags, bool *need_reopen)
 {
-  DRIZZLE_LOCK *sql_lock;
+  DrizzleLock *sql_lock;
   Table *write_lock_used;
   vector<plugin::StorageEngine *> involved_engines;
   int rc;
@@ -371,7 +371,7 @@
 }
 
 
-void mysql_unlock_tables(Session *session, DRIZZLE_LOCK *sql_lock)
+void mysql_unlock_tables(Session *session, DrizzleLock *sql_lock)
 {
   if (sql_lock->lock_count)
     thr_multi_unlock(sql_lock->locks,sql_lock->lock_count);
@@ -389,7 +389,7 @@
 
 void mysql_unlock_some_tables(Session *session, Table **table, uint32_t count)
 {
-  DRIZZLE_LOCK *sql_lock;
+  DrizzleLock *sql_lock;
   Table *write_lock_used;
   if ((sql_lock= get_lock_data(session, table, count, false,
                                &write_lock_used)))
@@ -401,7 +401,7 @@
   unlock all tables locked for read.
 */
 
-void mysql_unlock_read_tables(Session *session, DRIZZLE_LOCK *sql_lock)
+void mysql_unlock_read_tables(Session *session, DrizzleLock *sql_lock)
 {
   uint32_t i,found;
 
@@ -487,7 +487,7 @@
 
 void mysql_lock_abort(Session *session, Table *table)
 {
-  DRIZZLE_LOCK *locked;
+  DrizzleLock *locked;
   Table *write_lock_used;
 
   if ((locked= get_lock_data(session, &table, 1, false,
@@ -514,7 +514,7 @@
 
 bool mysql_lock_abort_for_thread(Session *session, Table *table)
 {
-  DRIZZLE_LOCK *locked;
+  DrizzleLock *locked;
   Table *write_lock_used;
   bool result= false;
 
@@ -566,11 +566,11 @@
   @param write_lock_used   Store pointer to last table with WRITE_ALLOW_WRITE
 */
 
-static DRIZZLE_LOCK *get_lock_data(Session *session, Table **table_ptr, uint32_t count,
+static DrizzleLock *get_lock_data(Session *session, Table **table_ptr, uint32_t count,
 				 bool should_lock, Table **write_lock_used)
 {
   uint32_t i,tables,lock_count;
-  DRIZZLE_LOCK *sql_lock;
+  DrizzleLock *sql_lock;
   THR_LOCK_DATA **locks, **locks_buf, **locks_start;
   Table **to, **table_buf;
 
@@ -592,7 +592,7 @@
     update the table values. So the second part of the array is copied
     from the first part immediately before calling thr_multi_lock().
   */
-  if (!(sql_lock= (DRIZZLE_LOCK*)
+  if (!(sql_lock= (DrizzleLock*)
 	malloc(sizeof(*sql_lock) +
                sizeof(THR_LOCK_DATA*) * tables * 2 +
                sizeof(table_ptr) * lock_count)))

=== modified file 'drizzled/lock.h'
--- drizzled/lock.h	2010-06-15 13:37:26 +0000
+++ drizzled/lock.h	2010-08-17 01:34:55 +0000
@@ -28,18 +28,18 @@
 class Session;
 class Table;
 class TableList;
-typedef struct drizzled_lock_st DRIZZLE_LOCK;
+class DrizzleLock;
 
-DRIZZLE_LOCK *mysql_lock_tables(Session *session, Table **table, uint32_t count,
-                                uint32_t flags, bool *need_reopen);
+DrizzleLock *mysql_lock_tables(Session *session, Table **table, uint32_t count,
+                               uint32_t flags, bool *need_reopen);
 /* mysql_lock_tables() and open_table() flags bits */
 #define DRIZZLE_LOCK_IGNORE_GLOBAL_READ_LOCK      0x0001
 #define DRIZZLE_LOCK_IGNORE_FLUSH                 0x0002
 #define DRIZZLE_LOCK_NOTIFY_IF_NEED_REOPEN        0x0004
 #define DRIZZLE_OPEN_TEMPORARY_ONLY               0x0008
 
-void mysql_unlock_tables(Session *session, DRIZZLE_LOCK *sql_lock);
-void mysql_unlock_read_tables(Session *session, DRIZZLE_LOCK *sql_lock);
+void mysql_unlock_tables(Session *session, DrizzleLock *sql_lock);
+void mysql_unlock_read_tables(Session *session, DrizzleLock *sql_lock);
 void mysql_unlock_some_tables(Session *session, Table **table, uint32_t count);
 void mysql_lock_remove(Session *session, Table *table);
 void mysql_lock_abort(Session *session, Table *table);

=== modified file 'drizzled/open_tables_state.h'
--- drizzled/open_tables_state.h	2010-05-18 15:49:50 +0000
+++ drizzled/open_tables_state.h	2010-08-17 01:34:55 +0000
@@ -63,14 +63,14 @@
     the 'LOCK_TABLES' chapter of the MySQL manual.
     See also lock_tables() for details.
   */
-  DRIZZLE_LOCK *lock;
+  DrizzleLock *lock;
 
   /*
     CREATE-SELECT keeps an extra lock for the table being
     created. This field is used to keep the extra lock available for
     lower level routines, which would otherwise miss that lock.
    */
-  DRIZZLE_LOCK *extra_lock;
+  DrizzleLock *extra_lock;
 
   uint64_t version;
   uint32_t current_tablenr;

=== modified file 'drizzled/select_create.h'
--- drizzled/select_create.h	2010-03-15 20:30:25 +0000
+++ drizzled/select_create.h	2010-08-17 01:34:55 +0000
@@ -33,9 +33,9 @@
   AlterInfo *alter_info;
   Field **field;
   /* lock data for tmp table */
-  DRIZZLE_LOCK *m_lock;
+  DrizzleLock *m_lock;
   /* m_lock or session->extra_lock */
-  DRIZZLE_LOCK **m_plock;
+  DrizzleLock **m_plock;
   TableIdentifier &identifier;
 
 public:

=== modified file 'drizzled/select_insert.h'
--- drizzled/select_insert.h	2010-02-04 08:14:46 +0000
+++ drizzled/select_insert.h	2010-08-17 01:34:55 +0000
@@ -30,7 +30,7 @@
   Table *table;
   List<Item> *fields;
   uint64_t autoinc_value_of_last_inserted_row; // autogenerated or not
-  COPY_INFO info;
+  CopyInfo info;
   bool insert_into_view;
   select_insert(TableList *table_list_par,
 		Table *table_par, List<Item> *fields_par,

=== modified file 'drizzled/session.h'
--- drizzled/session.h	2010-08-12 23:40:12 +0000
+++ drizzled/session.h	2010-08-17 01:34:55 +0000
@@ -114,7 +114,7 @@
       of the INSERT ... ON DUPLICATE KEY UPDATE no matter whether the row
       was actually changed or not.
 */
-typedef struct st_copy_info 
+struct CopyInfo 
 {
   ha_rows records; /**< Number of processed records */
   ha_rows deleted; /**< Number of deleted records */
@@ -129,15 +129,38 @@
   List<Item> *update_fields;
   List<Item> *update_values;
   /* for VIEW ... WITH CHECK OPTION */
-} COPY_INFO;
-
-typedef struct drizzled_lock_st
+
+  CopyInfo() :
+    records(0),
+    deleted(0),
+    updated(0),
+    copied(0),
+    error_count(0),
+    touched(0),
+    escape_char(0),
+    last_errno(0),
+    ignore(0),
+    update_fields(0),
+    update_values(0)
+  { }
+
+};
+
+struct DrizzleLock
 {
   Table **table;
   uint32_t table_count;
   uint32_t lock_count;
   THR_LOCK_DATA **locks;
-} DRIZZLE_LOCK;
+
+  DrizzleLock() :
+    table(0),
+    table_count(0),
+    lock_count(0),
+    locks(0)
+  { }
+
+};
 
 } /* namespace drizzled */
 
@@ -1543,7 +1566,7 @@
  * A structure used to describe sort information
  * for a field or item used in ORDER BY.
  */
-typedef struct st_sort_field 
+struct SortField 
 {
   Field *field;	/**< Field to sort */
   Item	*item; /**< Item if not sorting fields */
@@ -1552,16 +1575,18 @@
   Item_result result_type; /**< Type of item */
   bool reverse; /**< if descending sort */
   bool need_strxnfrm;	/**< If we have to use strxnfrm() */
-} SORT_FIELD;
-
-typedef struct st_sort_buffer 
-{
-  uint32_t index;	/* 0 or 1 */
-  uint32_t sort_orders;
-  uint32_t change_pos; /* If sort-fields changed */
-  char **buff;
-  SORT_FIELD *sortorder;
-} SORT_BUFFER;
+
+  SortField() :
+    field(0),
+    item(0),
+    length(0),
+    suffix_length(0),
+    result_type(STRING_RESULT),
+    reverse(0),
+    need_strxnfrm(0)
+  { }
+
+};
 
 } /* namespace drizzled */
 

=== modified file 'drizzled/sql_base.cc'
--- drizzled/sql_base.cc	2010-08-12 23:40:12 +0000
+++ drizzled/sql_base.cc	2010-08-17 01:34:55 +0000
@@ -1696,7 +1696,7 @@
   *prev=0;
   if (tables != tables_ptr)			// Should we get back old locks
   {
-    DRIZZLE_LOCK *local_lock;
+    DrizzleLock *local_lock;
     /*
       We should always get these locks. Anyway, we must not go into
       wait_for_tables() as it tries to acquire LOCK_open, which is

=== modified file 'drizzled/sql_delete.cc'
--- drizzled/sql_delete.cc	2010-07-30 20:31:19 +0000
+++ drizzled/sql_delete.cc	2010-08-17 01:34:55 +0000
@@ -188,7 +188,7 @@
   if (order && order->elements)
   {
     uint32_t         length= 0;
-    SORT_FIELD  *sortorder;
+    SortField  *sortorder;
     ha_rows examined_rows;
 
     if ((!select || table->quick_keys.none()) && limit != HA_POS_ERROR)

=== modified file 'drizzled/sql_insert.cc'
--- drizzled/sql_insert.cc	2010-08-07 17:38:08 +0000
+++ drizzled/sql_insert.cc	2010-08-17 01:34:55 +0000
@@ -238,7 +238,7 @@
   uint32_t value_count;
   ulong counter = 1;
   uint64_t id;
-  COPY_INFO info;
+  CopyInfo info;
   Table *table= 0;
   List_iterator_fast<List_item> its(values_list);
   List_item *values;
@@ -694,7 +694,7 @@
      write_record()
       session   - thread context
       table - table to which record should be written
-      info  - COPY_INFO structure describing handling of duplicates
+      info  - CopyInfo structure describing handling of duplicates
               and which is used for counting number of records inserted
               and deleted.
 
@@ -713,7 +713,7 @@
 */
 
 
-int write_record(Session *session, Table *table,COPY_INFO *info)
+int write_record(Session *session, Table *table,CopyInfo *info)
 {
   int error;
   char *key=0;
@@ -1435,7 +1435,7 @@
       items        in     List of items which should be used to produce rest
                           of fields for the table (corresponding fields will
                           be added to the end of alter_info->create_list)
-      lock         out    Pointer to the DRIZZLE_LOCK object for table created
+      lock         out    Pointer to the DrizzleLock object for table created
                           (or open temporary table) will be returned in this
                           parameter. Since this table is not included in
                           Session::lock caller is responsible for explicitly
@@ -1467,7 +1467,7 @@
                                       AlterInfo *alter_info,
                                       List<Item> *items,
                                       bool is_if_not_exists,
-                                      DRIZZLE_LOCK **lock,
+                                      DrizzleLock **lock,
 				      TableIdentifier &identifier)
 {
   Table tmp_table;		// Used during 'CreateField()'
@@ -1613,7 +1613,7 @@
 int
 select_create::prepare(List<Item> &values, Select_Lex_Unit *u)
 {
-  DRIZZLE_LOCK *extra_lock= NULL;
+  DrizzleLock *extra_lock= NULL;
   /*
     For replication, the CREATE-SELECT statement is written
     in two pieces: the first transaction messsage contains 

=== modified file 'drizzled/sql_load.cc'
--- drizzled/sql_load.cc	2010-06-22 02:12:26 +0000
+++ drizzled/sql_load.cc	2010-08-17 01:34:55 +0000
@@ -85,12 +85,12 @@
   void set_io_cache_arg(void* arg) { cache.arg = arg; }
 };
 
-static int read_fixed_length(Session *session, COPY_INFO &info, TableList *table_list,
+static int read_fixed_length(Session *session, CopyInfo &info, TableList *table_list,
                              List<Item> &fields_vars, List<Item> &set_fields,
                              List<Item> &set_values, READ_INFO &read_info,
 			     uint32_t skip_lines,
 			     bool ignore_check_option_errors);
-static int read_sep_field(Session *session, COPY_INFO &info, TableList *table_list,
+static int read_sep_field(Session *session, CopyInfo &info, TableList *table_list,
                           List<Item> &fields_vars, List<Item> &set_fields,
                           List<Item> &set_values, READ_INFO &read_info,
 			  String &enclosed, uint32_t skip_lines,
@@ -302,7 +302,7 @@
     }
   }
 
-  COPY_INFO info;
+  CopyInfo info;
   memset(&info, 0, sizeof(info));
   info.ignore= ignore;
   info.handle_duplicates=handle_duplicates;
@@ -411,7 +411,7 @@
 ****************************************************************************/
 
 static int
-read_fixed_length(Session *session, COPY_INFO &info, TableList *table_list,
+read_fixed_length(Session *session, CopyInfo &info, TableList *table_list,
                   List<Item> &fields_vars, List<Item> &set_fields,
                   List<Item> &set_values, READ_INFO &read_info,
                   uint32_t skip_lines, bool ignore_check_option_errors)
@@ -530,7 +530,7 @@
 
 
 static int
-read_sep_field(Session *session, COPY_INFO &info, TableList *table_list,
+read_sep_field(Session *session, CopyInfo &info, TableList *table_list,
                List<Item> &fields_vars, List<Item> &set_fields,
                List<Item> &set_values, READ_INFO &read_info,
 	       String &enclosed, uint32_t skip_lines,

=== modified file 'drizzled/sql_load.h'
--- drizzled/sql_load.h	2010-02-04 08:14:46 +0000
+++ drizzled/sql_load.h	2010-08-17 01:34:55 +0000
@@ -31,15 +31,14 @@
 class file_exchange;
 class Session;
 class Table;
-
-typedef struct st_copy_info COPY_INFO;
+class CopyInfo;
 
 int mysql_load(Session *session, file_exchange *ex, TableList *table_list,
                List<Item> &fields_vars, List<Item> &set_fields,
                List<Item> &set_values_list,
                enum enum_duplicates handle_duplicates, bool ignore);
     
-int write_record(Session *session, Table *table, COPY_INFO *info);
+int write_record(Session *session, Table *table, CopyInfo *info);
 
 } /* namespace drizzled */
 

=== modified file 'drizzled/sql_select.cc'
--- drizzled/sql_select.cc	2010-07-30 20:31:19 +0000
+++ drizzled/sql_select.cc	2010-08-17 01:34:55 +0000
@@ -5505,16 +5505,16 @@
   return(1);
 }
 
-SORT_FIELD *make_unireg_sortorder(order_st *order, uint32_t *length, SORT_FIELD *sortorder)
+SortField *make_unireg_sortorder(order_st *order, uint32_t *length, SortField *sortorder)
 {
   uint32_t count;
-  SORT_FIELD *sort,*pos;
+  SortField *sort,*pos;
 
   count=0;
   for (order_st *tmp = order; tmp; tmp=tmp->next)
     count++;
   if (!sortorder)
-    sortorder= (SORT_FIELD*) memory::sql_alloc(sizeof(SORT_FIELD) *
+    sortorder= (SortField*) memory::sql_alloc(sizeof(SortField) *
                                        (max(count, *length) + 1));
   pos= sort= sortorder;
 

=== modified file 'drizzled/sql_sort.h'
--- drizzled/sql_sort.h	2010-06-02 17:48:07 +0000
+++ drizzled/sql_sort.h	2010-08-17 01:34:55 +0000
@@ -33,9 +33,9 @@
 typedef struct st_io_cache IO_CACHE;
 }
 
-typedef struct st_sort_field SORT_FIELD;
 class Field;
 class Table;
+class SortField;
 
 
 /* Defines used by filesort and uniques */
@@ -44,7 +44,7 @@
 #define MERGEBUFF2		15
 
 /*
-   The structure SORT_ADDON_FIELD describes a fixed layout
+   The structure sort_addon_field_st describes a fixed layout
    for field values appended to sorted values in records to be sorted
    in the sort buffer.
    Only fixed layout is supported now.
@@ -59,21 +59,41 @@
    the callback function 'unpack_addon_fields'.
 */
 
-typedef struct st_sort_addon_field {  /* Sort addon packed field */
+struct sort_addon_field_st {  /* Sort addon packed field */
   Field *field;          /* Original field */
   uint32_t   offset;         /* Offset from the last sorted field */
   uint32_t   null_offset;    /* Offset to to null bit from the last sorted field */
   uint32_t   length;         /* Length in the sort buffer */
   uint8_t  null_bit;       /* Null bit mask for the field */
-} SORT_ADDON_FIELD;
-
-typedef struct st_buffpek {		/* Struktur om sorteringsbuffrarna */
+
+  sort_addon_field_st() :
+    field(NULL),
+    offset(0),
+    null_offset(0),
+    length(0),
+    null_bit(0)
+  { }
+
+};
+
+struct buffpek_st {		/* Struktur om sorteringsbuffrarna */
   off_t file_pos;			/* Where we are in the sort file */
-  unsigned char *base,*key;			/* key pointers */
+  unsigned char *base;			/* key pointers */
+  unsigned char *key;			/* key pointers */
   ha_rows count;			/* Number of rows in table */
   size_t mem_count;			/* numbers of keys in memory */
   size_t max_keys;			/* Max keys in buffert */
-} BUFFPEK;
+
+  buffpek_st() :
+    file_pos(0),
+    base(0),
+    key(0),
+    count(0),
+    mem_count(0),
+    max_keys(0)
+  { }
+
+};
 
 struct BUFFPEK_COMPARE_CONTEXT
 {
@@ -90,9 +110,9 @@
   uint32_t keys;				/* Max keys / buffer */
   ha_rows max_rows,examined_rows;
   Table *sort_form;			/* For quicker make_sortkey */
-  SORT_FIELD *local_sortorder;
-  SORT_FIELD *end;
-  SORT_ADDON_FIELD *addon_field; /* Descriptors for companion fields */
+  SortField *local_sortorder;
+  SortField *end;
+  sort_addon_field_st *addon_field; /* Descriptors for companion fields */
   unsigned char *unique_buff;
   bool not_killable;
   char* tmp_buffer;
@@ -105,14 +125,17 @@
 
 
 int merge_many_buff(SORTPARAM *param, unsigned char *sort_buffer,
-		    BUFFPEK *buffpek,
-		    uint32_t *maxbuffer, internal::IO_CACHE *t_file);
-uint32_t read_to_buffer(internal::IO_CACHE *fromfile,BUFFPEK *buffpek,
-		    uint32_t sort_length);
+                    buffpek_st *buffpek,
+                    uint32_t *maxbuffer, internal::IO_CACHE *t_file);
+
+uint32_t read_to_buffer(internal::IO_CACHE *fromfile, buffpek_st *buffpek,
+                        uint32_t sort_length);
+
 int merge_buffers(SORTPARAM *param,internal::IO_CACHE *from_file,
-		  internal::IO_CACHE *to_file, unsigned char *sort_buffer,
-		  BUFFPEK *lastbuff,BUFFPEK *Fb,
-		  BUFFPEK *Tb,int flag);
+                  internal::IO_CACHE *to_file, unsigned char *sort_buffer,
+                  buffpek_st *lastbuff,
+                  buffpek_st *Fb,
+                  buffpek_st *Tb,int flag);
 
 } /* namespace drizzled */
 

=== modified file 'drizzled/sql_update.cc'
--- drizzled/sql_update.cc	2010-07-30 20:31:19 +0000
+++ drizzled/sql_update.cc	2010-08-17 01:34:55 +0000
@@ -300,7 +300,7 @@
         NOTE: filesort will call table->prepare_for_position()
       */
       uint32_t         length= 0;
-      SORT_FIELD  *sortorder;
+      SortField  *sortorder;
       ha_rows examined_rows;
 
       table->sort.io_cache = new internal::IO_CACHE;

=== modified file 'drizzled/statement/alter_table.cc'
--- drizzled/statement/alter_table.cc	2010-08-09 20:01:06 +0000
+++ drizzled/statement/alter_table.cc	2010-08-17 01:34:55 +0000
@@ -1361,7 +1361,7 @@
   CopyField *copy,*copy_end;
   ulong found_count,delete_count;
   uint32_t length= 0;
-  SORT_FIELD *sortorder;
+  SortField *sortorder;
   ReadRecord info;
   TableList   tables;
   List<Item>   fields;

=== modified file 'drizzled/table.h'
--- drizzled/table.h	2010-08-04 23:31:14 +0000
+++ drizzled/table.h	2010-08-17 01:34:55 +0000
@@ -852,7 +852,7 @@
 
 ha_rows filesort(Session *session,
                  Table *form,
-                 st_sort_field *sortorder,
+                 SortField *sortorder,
                  uint32_t s_length,
                  optimizer::SqlSelect *select,
                  ha_rows max_rows,

=== modified file 'drizzled/uniques.cc'
--- drizzled/uniques.cc	2010-06-02 17:48:07 +0000
+++ drizzled/uniques.cc	2010-08-17 01:34:55 +0000
@@ -81,7 +81,7 @@
   init_tree(&tree, (ulong) (max_in_memory_size / 16), 0, size, comp_func, false,
             NULL, comp_func_fixed_arg);
   /* If the following fail's the next add will also fail */
-  my_init_dynamic_array(&file_ptrs, sizeof(BUFFPEK), 16, 16);
+  my_init_dynamic_array(&file_ptrs, sizeof(buffpek_st), 16, 16);
   /*
     If you change the following, change it in get_max_elements function, too.
   */
@@ -340,7 +340,7 @@
     /* Write tree to disk; clear tree */
 bool Unique::flush()
 {
-  BUFFPEK file_ptr;
+  buffpek_st file_ptr;
   elements+= tree.elements_in_tree;
   file_ptr.count=tree.elements_in_tree;
   file_ptr.file_pos=my_b_tell(file);
@@ -381,7 +381,7 @@
   The comparison function, passed to queue_init() in merge_walk() and in
   merge_buffers() when the latter is called from Uniques::get() must
   use comparison function of Uniques::tree, but compare members of struct
-  BUFFPEK.
+  buffpek_st.
 */
 
 static int buffpek_compare(void *arg, unsigned char *key_ptr1, unsigned char *key_ptr2)
@@ -403,7 +403,7 @@
   public:
   buffpek_compare_functor(qsort_cmp2 in_key_compare, void *in_compare_arg)
     : key_compare(in_key_compare), key_compare_arg(in_compare_arg) { }
-  inline bool operator()(const BUFFPEK *i, const BUFFPEK *j)
+  inline bool operator()(const buffpek_st *i, const buffpek_st *j)
   {
     return key_compare(key_compare_arg,
                     i->key, j->key);
@@ -426,10 +426,10 @@
                        key_length
     key_length         size of tree element; key_length * (end - begin)
                        must be less or equal than merge_buffer_size.
-    begin              pointer to BUFFPEK struct for the first tree.
-    end                pointer to BUFFPEK struct for the last tree;
+    begin              pointer to buffpek_st struct for the first tree.
+    end                pointer to buffpek_st struct for the last tree;
                        end > begin and [begin, end) form a consecutive
-                       range. BUFFPEKs structs in that range are used and
+                       range. buffpek_sts structs in that range are used and
                        overwritten in merge_walk().
     walk_action        element visitor. Action is called for each unique
                        key.
@@ -445,7 +445,7 @@
 */
 
 static bool merge_walk(unsigned char *merge_buffer, ulong merge_buffer_size,
-                       uint32_t key_length, BUFFPEK *begin, BUFFPEK *end,
+                       uint32_t key_length, buffpek_st *begin, buffpek_st *end,
                        tree_walk_action walk_action, void *walk_action_arg,
                        qsort_cmp2 compare, void *compare_arg,
                        internal::IO_CACHE *file)
@@ -453,7 +453,7 @@
   if (end <= begin ||
       merge_buffer_size < (ulong) (key_length * (end - begin + 1))) 
     return 1;
-  priority_queue<BUFFPEK *, vector<BUFFPEK *>, buffpek_compare_functor >
+  priority_queue<buffpek_st *, vector<buffpek_st *>, buffpek_compare_functor >
     queue(buffpek_compare_functor(compare, compare_arg));
   /* we need space for one key when a piece of merge buffer is re-read */
   merge_buffer_size-= key_length;
@@ -463,7 +463,7 @@
   /* if piece_size is aligned reuse_freed_buffer will always hit */
   uint32_t piece_size= max_key_count_per_piece * key_length;
   uint32_t bytes_read;               /* to hold return value of read_to_buffer */
-  BUFFPEK *top;
+  buffpek_st *top;
   int res= 1;
   /*
     Invariant: queue must contain top element from each tree, until a tree
@@ -601,8 +601,8 @@
   }
 
   res= merge_walk(&merge_buffer[0], (ulong) max_in_memory_size, size,
-                  (BUFFPEK *) file_ptrs.buffer,
-                  (BUFFPEK *) file_ptrs.buffer + file_ptrs.elements,
+                  (buffpek_st *) file_ptrs.buffer,
+                  (buffpek_st *) file_ptrs.buffer + file_ptrs.elements,
                   action, walk_action_arg,
                   tree.compare, tree.custom_arg, file);
 
@@ -635,7 +635,7 @@
     return 1;
 
   internal::IO_CACHE *outfile=table->sort.io_cache;
-  BUFFPEK *file_ptr= (BUFFPEK*) file_ptrs.buffer;
+  buffpek_st *file_ptr= (buffpek_st*) file_ptrs.buffer;
   uint32_t maxbuffer= file_ptrs.elements - 1;
   unsigned char *sort_buffer;
   internal::my_off_t save_pos;

